import type { App } from "obsidian";
import { getContext, setContext } from "svelte";

const APP_KEY = Symbol("app");

export function setAppContext(app: App) {
	setContext(APP_KEY, app);
}

export function getAppContext(): App {
	return getContext(APP_KEY);
}
